PUT api/Shops
Request Information
URI Parameters
None.
Body Parameters
ShopDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| Name | string |
None. |
|
| ShopUrl | string |
None. |
|
| ContactEmail | string |
None. |
|
| CustomerServiceEmail | string |
None. |
|
| OrderEmail | string |
None. |
|
| CampaignEmail | string |
None. |
|
| AdminEmail | string |
None. |
|
| CustomerServiceTelephone | string |
None. |
|
| Address | string |
None. |
|
| Labels | Collection of LabelDto |
None. |
|
| Color | string |
None. |
|
| LogoUrl | string |
None. |
|
| UseParadiseShop | boolean |
None. |
|
| ParadiseAdminUrl | string |
None. |
|
| ShopCountries | Collection of ShopCountryDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "e3395baf-7766-4d0e-8f08-c46af235b67c",
"created": "2026-07-10T03:11:11.0929089+02:00",
"updated": "2026-07-10T03:11:11.0929089+02:00",
"name": "sample string 1",
"shopUrl": "sample string 2",
"contactEmail": "sample string 3",
"customerServiceEmail": "sample string 4",
"orderEmail": "sample string 5",
"campaignEmail": "sample string 6",
"adminEmail": "sample string 7",
"customerServiceTelephone": "sample string 8",
"address": "sample string 9",
"labels": [
{
"id": "4211dd83-1d1b-4cb2-9f44-fb1a10ab4e0d",
"name": "sample string 1",
"value": "sample string 2",
"isReadonly": true,
"created": "2026-07-10T03:11:11.0929089+02:00",
"updated": "2026-07-10T03:11:11.0929089+02:00"
},
{
"id": "4211dd83-1d1b-4cb2-9f44-fb1a10ab4e0d",
"name": "sample string 1",
"value": "sample string 2",
"isReadonly": true,
"created": "2026-07-10T03:11:11.0929089+02:00",
"updated": "2026-07-10T03:11:11.0929089+02:00"
}
],
"color": "sample string 10",
"logoUrl": "sample string 11",
"useParadiseShop": true,
"paradiseAdminUrl": "sample string 13",
"shopCountries": [
{
"id": "d3e1952d-3b0c-450b-9f06-3b100622879d",
"postage": 1.0,
"package": 2.0,
"paymentProvider": "sample string 3",
"fulfillmentProvider": "sample string 4",
"emailProvider": "sample string 5",
"smsProvider": "sample string 6",
"shop": {
"id": "49aab877-e2e9-476e-a0af-c80fda9a473c",
"name": "sample string 2",
"type": "sample string 3"
},
"country": {
"id": "49aab877-e2e9-476e-a0af-c80fda9a473c",
"name": "sample string 2",
"type": "sample string 3"
}
},
{
"id": "d3e1952d-3b0c-450b-9f06-3b100622879d",
"postage": 1.0,
"package": 2.0,
"paymentProvider": "sample string 3",
"fulfillmentProvider": "sample string 4",
"emailProvider": "sample string 5",
"smsProvider": "sample string 6",
"shop": {
"id": "49aab877-e2e9-476e-a0af-c80fda9a473c",
"name": "sample string 2",
"type": "sample string 3"
},
"country": {
"id": "49aab877-e2e9-476e-a0af-c80fda9a473c",
"name": "sample string 2",
"type": "sample string 3"
}
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.